
import QtQuick 2.6
import QtQuick.Templates 2.5 as T
import org.ukui.qqc2style.private 1.0 as StylePrivate


T.ToolButton {
    id: controlRoot
    implicitWidth: {
    var contentwidth = implicitContentWidth + leftPadding + rightPadding
        return Math.max(implicitBackgroundWidth + leftInset + rightInset,
                        contentwidth, btn.normalWidth)
    }
    implicitHeight: Math.max(implicitBackgroundHeight + topInset + bottomInset,
                             implicitContentHeight + topPadding + bottomPadding, btn.normalHeight)

    leftPadding: btn.margin
    rightPadding: btn.margin

    hoverEnabled: true //Qt.styleHints.useHoverEffects TODO: how to make this work in 5.7?


    font.family: appP.font.family
    font.pointSize: appP.font.pointSize

    NormalControlColor{
    id:ncColor
    }

    StylePrivate.UKUIButton{
        id: btn
    }
    StylePrivate.APPParameter{
        id: appP
    }
    contentItem: ButtonIconLabelContent {
        controlRoot: controlRoot
        anchors.centerIn: controlRoot
//        onWidthChanged: console.log(controlRoot.text, width)
    }
    background: BackGroundRectangle{
        controlRoot: controlRoot
        _radius: btn.radius
    }}
